#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5da6ef5, "module_layout" },
	{ 0x9ba93c3d, "dev_attr_phy_event_threshold" },
	{ 0x4533c8df, "hisi_sas_host_reset" },
	{ 0xc83f8ff8, "sas_bios_param" },
	{ 0x65e3ebbd, "ata_scsi_dma_need_drain" },
	{ 0x19822036, "sas_change_queue_depth" },
	{ 0xee84e9cb, "hisi_sas_scan_start" },
	{ 0xbfc19452, "hisi_sas_scan_finished" },
	{ 0xf93420f4, "sas_target_destroy" },
	{ 0xf7df87e3, "sas_target_alloc" },
	{ 0x478c3ba1, "hisi_sas_slave_configure" },
	{ 0x7d123c32, "sas_slave_alloc" },
	{ 0x6376c13a, "sas_eh_target_reset_handler" },
	{ 0xa6f36afa, "sas_eh_device_reset_handler" },
	{ 0x6b41c779, "sas_ioctl" },
	{ 0xfc3ef866, "sas_queuecommand" },
	{ 0x2be5195f, "platform_driver_unregister" },
	{ 0x6daa2354, "__platform_driver_register" },
	{ 0xa3b46fd7, "rt_mutex_base_init" },
	{ 0xa50a3da7, "_find_next_bit" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4c98d79b, "cpu_hwcap_keys" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x5f53acc5, "hisi_sas_init_mem" },
	{ 0x2c2c86d6, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6332a8e3, "platform_get_irq" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0xde35dbcb, "to_hisi_sas_port" },
	{ 0x87b8798d, "sg_next" },
	{ 0xec01f38c, "sas_task_abort" },
	{ 0xf4b80b65, "sas_ssp_task_response" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1e3447b8, "dma_unmap_sg_attrs" },
	{ 0xb53f83d7, "hisi_sas_slot_task_free" },
	{ 0xd1cab0a8, "hisi_sas_sata_done" },
	{ 0x96a83030, "hisi_sas_phy_down" },
	{ 0xc2a113a, "add_timer" },
	{ 0xc4713a85, "sas_notify_port_event" },
	{ 0xe7663371, "hisi_sas_phy_oob_ready" },
	{ 0x87e52dbb, "rt_spin_unlock" },
	{ 0x3e3f6a69, "rt_spin_lock" },
	{ 0x867318d0, "hisi_sas_notify_phy_event" },
	{ 0x6ff7b25d, "_dev_info" },
	{ 0xcdb8f0b1, "del_timer" },
	{ 0xa6257a2f, "complete" },
	{ 0xc8476604, "devm_request_threaded_irq" },
	{ 0x1de81f7a, "devm_platform_get_irqs_affinity" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x457894f8, "hisi_sas_phy_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x39719787, "_dev_warn" },
	{ 0x9b807c91, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0x6d70171b, "device_property_read_u32_array" },
	{ 0x1cc99ec9, "device_property_present" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x9004d489, "regmap_read" },
	{ 0x1bcec7af, "regmap_write" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x3d58be8e, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63c18abc, "_dev_err" },
	{ 0x832940b6, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x112b1852, "cpumask_next" },
	{ 0x2bdf752, "irq_get_irq_data" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xee496d13, "hisi_sas_probe" },
	{ 0x87c82744, "hisi_sas_remove" },
};

MODULE_INFO(depends, "libsas,hisi_sas_main");

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "88B96F428A513A373A718C1");
MODULE_INFO(rhelversion, "9.1");
